<?php
/*
SMF Trader System
Version 1.2
by:vbgamer45
http://www.smfhacks.com
*/

if (!defined('SMF'))
	die('Hacking attempt...');

function tradermain()
{
	loadtemplate('Trader2');

	// Load the language files
	if (loadlanguage('Trader') == false)
		loadLanguage('Trader','english');

	// Trader actions
	$subActions = array(
		'main' => 'main',
		'report' => 'Report',
		'report2' => 'Report2',
		'submit' => 'Submit',
		'detail' => 'ViewDetail',
		'delete' => 'Delete',
		'delete2' => 'Delete2',
		'submit2' => 'Submit2',
		'admin' => 'AdminSettings',
		'admin2' => 'AdminSettings2',
		'approve' => 'ApproveRating',
		'bulkactions' => 'BulkActions',
	);

	@$sa = $_GET['sa'];

	// Follow the sa or just go to administration.
	if (!empty($subActions[$sa]))
		$subActions[$sa]();
	else
		$subActions['main']();
}
function main()
{
	global $context, $txt, $smcFunc, $scripturl, $modSettings;

	$context['sub_template']  = 'main';

	@$memid = (int) $_REQUEST['id'];

	if (empty($memid))
		fatal_error($txt['smftrader_nomemberselected'], false);

	$request = $smcFunc['db_query']('', "
	SELECT 
		real_name FROM {db_prefix}members
	WHERE ID_MEMBER = $memid LIMIT 1");
	$row = $smcFunc['db_fetch_assoc']($request);

	$mcount = $smcFunc['db_affected_rows']();

	if ($mcount != 1)
		fatal_error($txt['smftrader_nomemberselected'], false);

	$context['traderid'] = $memid;
	$context['tradername'] = $row['real_name'];


	$smcFunc['db_query']('', "
	SELECT 
		feedbackid 
	FROM {db_prefix}feedback 
	WHERE approved = 1 AND ID_MEMBER =" . $context['traderid']);
	$context['tradecount'] = $smcFunc['db_affected_rows']();
	
	
	
	$result = $smcFunc['db_query']('', "
	SELECT 
		COUNT(*) AS total,salevalue 
	FROM {db_prefix}feedback 
	WHERE approved = 1 AND ID_MEMBER = " . $context['traderid'] . " GROUP BY salevalue" );
	$context['neturalcount'] = 0;
	$context['pcount'] = 0;
	$context['ncount'] = 0;
	while($row = $smcFunc['db_fetch_assoc']($result))
	{
		if ($row['salevalue'] == 0)
		{
			$context['pcount'] = $row['total'];
		}
		else if ($row['salevalue'] == 2)
		{
			$context['ncount'] = $row['total'];
		}	
		else if ($row['salevalue'] == 1)
		{
			$context['neturalcount'] = $row['total'];
		}
		
	}
	$smcFunc['db_free_result']($result);
	
	$context['tradecount_nonetural'] = ($context['pcount'] +  $context['ncount']);
	
	// Get the view type
	@$view = (int) $_GET['view'];
	if (empty($view))
			$view = 0;
	
	
			$queryextra = '';
			switch($view)
			{
				case 0:
				$queryextra = '';
				break;
				case 1:
				$queryextra = ' AND f.saletype = 1';
			
				break;
				case 2:
				$queryextra = ' AND f.saletype = 0';
				break;
				case 3:
				$queryextra = ' AND f.saletype = 2';

				break;
				default:
				fatal_error($txt['smftrader_invalidview'], false);
				break;
			}

			
	$context['start'] = (int) $_REQUEST['start'];
	
	
	$dbresult = $smcFunc['db_query']('', "
	SELECT 
		COUNT(*) AS total 
	FROM {db_prefix}feedback AS f,{db_prefix}members AS m 
	WHERE f.ID_MEMBER = " . $context['traderid'] . " AND f.FeedBackMEMBER_ID = m.ID_MEMBER  AND f.approved = 1 $queryextra ");
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$total = $row['total'];
	$smcFunc['db_free_result']($dbresult);
			
	$dbresult = $smcFunc['db_query']('', "
	SELECT 
			f.saletype, f.feedbackid, f.FeedBackMEMBER_ID,  f.topicurl, 
			f.comment_short, f.salevalue, f.saledate, m.real_name 
	FROM {db_prefix}feedback AS f,{db_prefix}members AS m 
	WHERE f.ID_MEMBER = " . $context['traderid'] . " AND f.FeedBackMEMBER_ID = m.ID_MEMBER  AND f.approved = 1 $queryextra ORDER BY f.feedbackid DESC LIMIT $context[start]," . $modSettings['trader_feedbackperpage']);
	$context['trader_feedback'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	{
		$context['trader_feedback'][] = $row;
	}
	$smcFunc['db_free_result']($dbresult);
	
	$context['page_index'] = constructPageIndex($scripturl . '?action=trader;id=' . $context['traderid'] . ';view=' . $view , $_REQUEST['start'], $total, $modSettings['trader_feedbackperpage']);

			
			
	// Set the page title
	$context['page_title'] = $txt['smftrader_feedbacktitle'] . ' - ' . $row['real_name'];
	

}
function Submit()
{
	global $context, $txt, $smcFunc, $user_info;

	is_not_guest();

	// Check if they are allowed to submit feedback
	isAllowedTo('smftrader_feedback');


	$context['sub_template']  = 'submit';

	@$memid = (int) $_GET['id'];

	if (empty($memid))
		fatal_error($txt['smftrader_nomemberselected'],false);

	$request = $smcFunc['db_query']('', "
	SELECT 
		real_name FROM {db_prefix}members
	WHERE ID_MEMBER = $memid LIMIT 1");
	$row = $smcFunc['db_fetch_assoc']($request);

	$mcount = $smcFunc['db_affected_rows']();

	if ($mcount != 1)
		fatal_error($txt['smftrader_nomemberselected'],false);

	if ($user_info['id'] == $memid)
		fatal_error($txt['smftrader_errfeedbackself'] ,false);

	$context['traderid'] = $memid;
	$context['tradername'] = $row['real_name'];


	$context['page_title'] = $txt['smftrader_submittitle'] . ' - ' . $row['real_name'];

}
function Submit2()
{
	global $smcFunc, $txt, $modSettings, $user_info;

	is_not_guest();

	// Check if they are allowed to submit feedback
	isAllowedTo('smftrader_feedback');


	// Get the trader id
	$traderid = (int) $_REQUEST['id'];


	if ($user_info['id'] == $traderid)
		fatal_error($txt['smftrader_errfeedbackself'] ,false);

	// Check if comment posted
	$shortcomment = htmlspecialchars(substr($_REQUEST['shortcomment'], 0, 100),ENT_QUOTES);

	if ($shortcomment== '')
		fatal_error($txt['smftrader_errshortcoment'],false);


	$topicurl = htmlspecialchars($_REQUEST['topicurl'],ENT_QUOTES);
	$salevalue = (int) $_REQUEST['salevalue'];
	$saletype = (int) $_REQUEST['saletype'];
	$longcomment = htmlspecialchars($_REQUEST['longcomment'],ENT_QUOTES);
	switch($saletype)
	{
		case 0:
		break;

		case 1:
		break;

		case 2:

		break;

		default:
		fatal_error($txt['smftrader_errsaletype'],false);
		break;
	}
	switch($salevalue)
	{
		case 0:
		break;

		case 1:
		break;

		case 2:
		break;

		default:
		fatal_error($txt['smftrader_errsalevalue'],false);
		break;
	}

	// Get the date
	$tradedate = time();

	
	
	// Get the approval
	if ($modSettings['trader_approval'] == 1)
	{
		$approval = (allowedTo('smftrader_autorating') ? 1 : 0);
	}
	else 
		$approval = 1;
		
	// Admin's always approved
	if (allowedTo('admin_forum'))
		$approval = 1;
	
	// Finally Insert it into the db
	$smcFunc['db_query']('', "INSERT INTO {db_prefix}feedback
			(ID_MEMBER, comment_short, comment_long, topicurl, saletype, salevalue, saledate, FeedBackMEMBER_ID, approved)
		VALUES ($traderid, '$shortcomment', '$longcomment', '$topicurl',$saletype, $salevalue, $tradedate, " . $user_info['id'] . ",$approval)");

	$id = $smcFunc['db_insert_id']('{db_prefix}feedback', 'feedbackid');

	if ($approval == 1)
	{

		SendTraderPMByID($id);
		


		redirectexit('action=trader;id=' . $traderid);
	}
	else
		fatal_error($txt['smftrader_form_notapproved'], false);

}
function Report()
{
	global $context, $txt, $smcFunc;

	is_not_guest();

	$context['sub_template']  = 'report';

	@$feedid = (int) $_GET['feedid'];
	if (empty($feedid))
		fatal_error($txt['smftrader_errnofeedselected'], false);

	$context['feedid'] = $feedid;

	
	$context['page_title'] = $txt['smftrader_reporttitle'];
}
function Report2()
{
	global $smcFunc, $webmaster_email, $sourcedir, $scripturl, $txt, $sourcedir, $modSettings;

	include $sourcedir . '/Subs-Post.php';

	is_not_guest();

	@$comment = htmlspecialchars($_REQUEST['comment'],ENT_QUOTES);

	if ($comment == '')
		fatal_error($txt['smftrader_errnocomment'], false);

	// Add link to trader to comment field.
	@$feedid = (int) $_REQUEST['feedid'];

	$result = "
	SELECT f.saletype, f.feedbackid, f.ID_MEMBER, f.FeedBackMEMBER_ID, f.comment_short,
	f.topicurl, f.comment_long, f.salevalue, f.saledate, m.real_name
	FROM {db_prefix}feedback AS f,{db_prefix}members AS m
	WHERE f.feedbackid = $feedid AND f.FeedBackMEMBER_ID = m.ID_MEMBER";

	$dbresult = $smcFunc['db_query']('', $result);
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);
	$comment .= "\n"  . $txt['smftrader_commentmadeby'] . '[url=' . $scripturl . '?action=profile;u=' . $row['FeedBackMEMBER_ID'] . ']' . $row['real_name'] . '[/url]';
	$comment .= "\n\n" . '[url=' . $scripturl . '?action=trader;id=' . $row['ID_MEMBER'] . ']' . $txt['smftrader_viewtrader'] . '[/url]';


	$comment .= "\n\n" . $txt['smftrader_title'];
	

	require_once($sourcedir . '/Subs-Post.php');
	$dbresult = $smcFunc['db_query']('', "
	SELECT 
		m.ID_MEMBER 
	FROM {db_prefix}membergroups AS g,{db_prefix}members AS m 
	WHERE m.ID_GROUP = g.ID_GROUP AND m.ID_GROUP IN (" . $modSettings['trader_membergroupspm'] . ")");
	while($row2 = $smcFunc['db_fetch_assoc']($dbresult))
	{
		$pm_register_recipients = array(
			'to' => array($row2['ID_MEMBER']),
			'bcc' => array(),
		);

	
	
		sendpm($pm_register_recipients,$txt['smftrader_title'] . ' ' . $txt['smftrader_badfeedback'],$comment);
	}
	$smcFunc['db_free_result']($dbresult);

	//if (!sendmail($webmaster_email, $txt['smftrader_title'] . ' ' . $txt['smftrader_badfeedback'],$comment))
	//	fatal_error($txt['smftrader_failedreport'],false);

	redirectexit('action=trader;id=' . $row['ID_MEMBER'] );
}
function ViewDetail()
{
	global $context, $smcFunc, $txt;


	$context['sub_template']  = 'detail';

	@$feedid = (int) $_REQUEST['feedid'];
	if (empty($feedid))
		fatal_error($txt['smftrader_errnofeedselected'], false);

	$context['page_title'] = $txt['smftrader_title'] . ' - ' . $txt['smftrader_detailedfeedback'] ;
	$context['feedid'] = $feedid;
	

	$result = "
	SELECT 
	f.saletype, f.feedbackid, f.ID_MEMBER, f.FeedBackMEMBER_ID, f.topicurl, 
	f.comment_long, f.salevalue, f.saledate, m.real_name 
	FROM {db_prefix}feedback AS f,{db_prefix}members AS m 
	WHERE f.feedbackid = " . $context['feedid'] . " AND f.FeedBackMEMBER_ID = m.ID_MEMBER";

	$dbresult = $smcFunc['db_query']('', $result);
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);
	
	$context['trading_detail'] = $row;
	
}
function Delete()
{
	global $context, $smcFunc, $txt;

	// Check if they are allowed to delete feedback
	isAllowedTo('smftrader_deletefeed');

	@$feedid = (int) $_REQUEST['feedid'];
	if (empty($feedid))
		fatal_error($txt['smftrader_errnofeedselected'], false);

	$context['feedid'] = $feedid;

	$context['sub_template']  = 'delete';
	$context['page_title'] = $txt['smftrader_title'] . ' - ' . $txt['smftrader_deletefeedback'];

	$result = "SELECT f.saletype, f.feedbackid, f.ID_MEMBER, f.FeedBackMEMBER_ID, 
	f.comment_short,  f.topicurl, f.comment_long, f.salevalue, f.saledate, m.real_name 
	FROM {db_prefix}feedback AS f,{db_prefix}members AS m 
	WHERE f.feedbackid = " . $context['feedid'] . " AND f.FeedBackMEMBER_ID = m.ID_MEMBER";

	$dbresult = $smcFunc['db_query']('', $result);
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);
	
	$context['trader_feedback'] = $row;
	
	
}
function Delete2()
{
	global $context,  $txt;

	// Check if they are allowed to delete feedback
	isAllowedTo('smftrader_deletefeed');
	
	@$feedid = (int) $_REQUEST['feedid'];
	if (empty($feedid))
		fatal_error($txt['smftrader_errnofeedselected'],false);

	@$redirectid = (int) $_REQUEST['redirect'];
	if (empty($redirectid))
		fatal_error($txt['smftrader_notrader'], false);

	DeleteByID($feedid);


	redirectexit('action=trader;id=' . $redirectid);
}
function AdminSettings()
{
	global $context, $txt,  $mbname, $smcFunc, $scripturl;
	
	isAllowedTo('admin_forum');


	$context['page_title'] = $mbname . ' - ' . $txt['smftrader_title'] . ' - ' . $txt['smftrader_text_settings'];
	$context['sub_template']  = 'settings';
	
	
	$context['start'] = (int) $_REQUEST['start'];
	
	
	$dbresult = $smcFunc['db_query']('', "
	SELECT 
		COUNT(*) AS total 
	FROM {db_prefix}feedback 
	WHERE approved = 0");
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$total = $row['total'];
	$smcFunc['db_free_result']($dbresult);
	
	$dbresult = $smcFunc['db_query']('', "
	SELECT 
	f.saletype, f.feedbackid, f.FeedBackMEMBER_ID,  f.topicurl, f.comment_short,
	f.salevalue, f.saledate, m.real_name, f.ID_MEMBER, u.real_name mainName 
	FROM ({db_prefix}feedback AS f)
	LEFT JOIN {db_prefix}members AS m ON (f.FeedBackMEMBER_ID = m.ID_MEMBER)
	LEFT JOIN {db_prefix}members AS u ON (f.ID_MEMBER= u.ID_MEMBER)
	WHERE f.approved = 0 LIMIT $context[start],10");
	
	$context['trader_appoval'] = array();
	
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	{
		$context['trader_appoval'][] = $row;
	}
	$smcFunc['db_free_result']($dbresult);
	
	$context['page_index'] = constructPageIndex($scripturl . '?action=admin;area=trader;sa=admin' , $_REQUEST['start'], $total, 10);
	
}
function AdminSettings2()
{
	global $smcFunc;

	isAllowedTo('admin_forum');

	$trader_approval =  isset($_REQUEST['trader_approval']) ? 1 : 0;
	$trader_use_pos_neg = isset($_REQUEST['trader_use_pos_neg']) ? 1 : 0;
	$trader_feedbackperpage = (int) $_REQUEST['trader_feedbackperpage'];

	updateSettings(
	array(
	'trader_approval' => $trader_approval,
	'trader_feedbackperpage' => $trader_feedbackperpage,
	'trader_use_pos_neg' => $trader_use_pos_neg,

	));

	redirectexit('action=admin;area=trader;sa=admin');
}
function ApproveRating()
{
	global $smcFunc;

	isAllowedTo('admin_forum');

	$id = (int) $_REQUEST['id'];


	ApproveByID($id);

	redirectexit('action=admin;area=trader;sa=admin');
}
function SendTraderPMByID($id)
{
	global $smcFunc, $sourcedir, $txt, $scripturl;

	$request = $smcFunc['db_query']('', "
		SELECT
			 m.real_name, f.comment_short, f.ID_MEMBER
		FROM 
			({db_prefix}feedback AS f, {db_prefix}members as m)
		WHERE f.FeedBackMEMBER_ID = m.ID_MEMBER AND f.feedbackid  = $id LIMIT 1");


		$row = $smcFunc['db_fetch_assoc']($request);

		$smcFunc['db_free_result']($request);


		$pm_register_recipients = array(
			'to' => array($row['ID_MEMBER']),
			'bcc' => array(),
		);

	require_once($sourcedir . '/Subs-Post.php');

	sendpm($pm_register_recipients, $txt['smftrader_newrating'], $row['comment_short'] .  "\n\n" . $txt['smftrader_commentmadeby'] . $row['real_name'] . "\n" . "{$scripturl}?action=profile");

}

function BulkActions()
{
	isAllowedTo('admin_forum');
	
	if (isset($_REQUEST['ratings']))
	{
	
		$baction = $_REQUEST['doaction'];
		
		foreach ($_REQUEST['ratings'] as $value)
		{

			if ($baction == 'approve')
				ApproveByID($value);
			if ($baction == 'delete')
				DeleteByID($value);
		
		}
	}

	// Redirect to approval list
	redirectexit('action=admin;area=trader;sa=admin');
}

function DeleteByID($id)
{
	global $smcFunc;
	
	// Delete the comment
	$smcFunc['db_query']('', "
	DELETE FROM {db_prefix}feedback
	WHERE feedbackid = $id");
}
function ApproveByID($id)
{
	global $smcFunc;
	
	$smcFunc['db_query']('', "UPDATE {db_prefix}feedback
	SET approved = 1
	WHERE feedbackid = $id LIMIT 1");

	SendTraderPMByID($id);
	
	SendCommenterPMByID($id);
}


function SendCommenterPMByID($id)
{
	global $smcFunc, $sourcedir, $txt, $scripturl;

	$request = $smcFunc['db_query']('', "
		SELECT
			 m.real_name, f.comment_short, f.ID_MEMBER,f.FeedBackMEMBER_ID, u.real_name MainName, m.timeOffset 
		FROM 
			({db_prefix}feedback AS f)
			
		LEFT JOIN {db_prefix}members as m ON (f.FeedBackMEMBER_ID = m.ID_MEMBER)
		LEFT JOIN {db_prefix}members as u ON (f.ID_MEMBER = u.ID_MEMBER)
		
		WHERE  f.feedbackid  = $id LIMIT 1");


		$row = $smcFunc['db_fetch_assoc']($request);

		$smcFunc['db_free_result']($request);


		$pm_register_recipients = array(
			'to' => array($row['FeedBackMEMBER_ID']),
			'bcc' => array(),
		);

	require_once($sourcedir . '/Subs-Post.php');

	$finaltime = timeformat(forum_time(false));
	$finaltime = strip_tags($finaltime);
	
	sendpm($pm_register_recipients, sprintf($txt['smftrader_commenter_subject'],$row['MainName']), 
	sprintf($txt['smftrader_commenter_body'],$row['MainName'],$finaltime));

}
?>